Для хакеров эта неделька стала тяжелей. Вначале появился неофициальный порт Siri для старых моделей iPhone, а теперь к нему присоединился и новый джейлбрейк, который несомненно порадует владельцев девайсов с прошивкой iOS 5.0.1.

Программное обеспечение, которое было анонсировано и разработано хакером @pod2g в начале этого месяца, позволяет владельцам iPhone 3GS, iPhone 4 (как GSM, так и CDMA), iPad первого поколения, а также iPod Touch третьего и четвертого поколения установить джейлбрейк на их девайсы. Это означает, что пользователи могут устанавливать на свои iOS устройства приложения сторонних разработчиков извне магазина App Store, включая программное обеспечение, которое позволяет получить доступ к скрытым возможностям девайсов.

В данном случае загвоздка заключалась в том, что все программное обеспечения и приложения переставали работать, если пользователь перезагружает свое устройство, даже случайно. При использовании предыдущих версий джейлбрейка было необходимо заново повторять весь процесс взлома после каждой перезагрузки девайса.

В список поддерживаемых устройств не вошли iPad 2 и iPhone 4S – два последних iOS девайса, которые используют более новые процессоры компании, A5. Как сегодня сообщили iPhone Dev Team (группа хакеров, которая занимается взломом устройств Apple – не путайте с отделением компании, которое занимается разработкой программного обеспечения для платформы iOS), на данный момент их хак не работает на этих устройствах, но его создатель, @pod2g, уже вовсю работает над решением этой проблемы. В тоже время хакеры заявили, что новый эксплоит в девайсах A5 может быть найдет с помощью текущего программного обеспечения (джейлбрейка) или он будет представлен в виде программного пакета сторонних приложений из репозитория Cydia.

Стоит отметить, что Apple, как ожидается, в ближайшее время выпустят очередное обновления для iOS 5. По всей видимости, это произойдет сразу после финального тестирования iOS 5.1, то есть перед самым началом праздников. Новое обновления операционной системы предназначено для решения проблемы с аккумулятором (некоторые пользователи жалуются на то, что он быстро разряжается). Кроме того, после появления новой версии прошивки хакерам придется вновь переделывать свои утилиты и искать новые дыры в системе безопасности.

Tagged with →  

Добавить комментарий

Ваш e-mail не будет опубликован.

 

Подробнее:
Нужен ли бампер для четвертого айфона?

Господа, посоветуйте, нужен ли бампер для четвертого айфона или нет в итоге?

Закрыть